Bug 13574 - Repeatable item subfields don't show correctly in MARC view (OPAC and staff)
Summary: Repeatable item subfields don't show correctly in MARC view (OPAC and staff)
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-13 16:45 UTC by Katrin Fischer
Modified: 2020-03-09 20:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 13574: Fix display of repeatable item subfields (2.72 KB, patch)
2020-02-10 15:27 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13574: Fix display of repeatable item subfields (3.58 KB, patch)
2020-02-13 08:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13574: Fix display of repeatable item subfields (3.58 KB, patch)
2020-02-13 15:35 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 13574: Fix display of repeatable item subfields (3.63 KB, patch)
2020-02-14 16:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-13 16:45:50 UTC
Koha allows you to add new item subfields using the more_subfields_xml field in the items field. They can be marked as repeatable and adding/editing and deleting them works nicely. The item summary table abvoe the cataloguing form displays the repeated fields separated by a pipe "Test1 | Test2".

But the item table on the MARC view in the staff catalog displays only the last of the repeated subfields.
Comment 1 Marcel de Rooy 2020-02-10 13:55:49 UTC
(In reply to Katrin Fischer from comment #0)
> Koha allows you to add new item subfields using the more_subfields_xml field
> in the items field. They can be marked as repeatable and adding/editing and
> deleting them works nicely.

On current master dd 2/20 clicking the clone button creates an unaligned text box in the item editor. But saving and reediting works.
Deleting is done by clearing the text box. Perhaps adding a delete button just like in cataloging should be nicer.
Comment 2 Marcel de Rooy 2020-02-10 13:56:21 UTC
(In reply to Katrin Fischer from comment #0)
> But the item table on the MARC view in the staff catalog displays only the
> last of the repeated subfields.
Still a problem.
Does also occur on MARC view in OPAC.
Comment 3 Marcel de Rooy 2020-02-10 15:27:59 UTC
Created attachment 98664 [details] [review]
Bug 13574: Fix display of repeatable item subfields
Comment 4 Marcel de Rooy 2020-02-10 15:28:17 UTC
Not ready yet !
Comment 5 Marcel de Rooy 2020-02-13 08:39:16 UTC
Created attachment 98790 [details] [review]
Bug 13574: Fix display of repeatable item subfields

Applies to OPAC and staff: opac-MARCdetail and catalogue/MARCdetail.

Test plan:
[1] Pick an item. Pick two fields say URI and copy number, and fill these
with a value like A | B. (The pipe char is important.)
[2] Verify that the display of the item block on opac-MARCdetail shows
both A and B in those columns. (Previously only B was shown.)
[3] Verify the same on catalogue MARC detail, items tab.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2020-02-13 08:43:26 UTC
(In reply to Marcel de Rooy from comment #1)
> On current master dd 2/20 clicking the clone button creates an unaligned
> text box in the item editor. But saving and reediting works.
> Deleting is done by clearing the text box. Perhaps adding a delete button
> just like in cataloging should be nicer.

Opened up a new bug for the styling issues. Bug 24649.
Comment 7 ByWater Sandboxes 2020-02-13 15:35:00 UTC
Created attachment 98858 [details] [review]
Bug 13574: Fix display of repeatable item subfields

Applies to OPAC and staff: opac-MARCdetail and catalogue/MARCdetail.

Test plan:
[1] Pick an item. Pick two fields say URI and copy number, and fill these
with a value like A | B. (The pipe char is important.)
[2] Verify that the display of the item block on opac-MARCdetail shows
both A and B in those columns. (Previously only B was shown.)
[3] Verify the same on catalogue MARC detail, items tab.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Holly <hc@interleaf.ie>
Comment 8 Katrin Fischer 2020-02-14 16:54:08 UTC
Created attachment 98979 [details] [review]
Bug 13574: Fix display of repeatable item subfields

Applies to OPAC and staff: opac-MARCdetail and catalogue/MARCdetail.

Test plan:
[1] Pick an item. Pick two fields say URI and copy number, and fill these
with a value like A | B. (The pipe char is important.)
[2] Verify that the display of the item block on opac-MARCdetail shows
both A and B in those columns. (Previously only B was shown.)
[3] Verify the same on catalogue MARC detail, items tab.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Holly <hc@interleaf.ie>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Marcel de Rooy 2020-02-17 07:35:14 UTC
(In reply to Katrin Fischer from comment #8)
> Signed-off-by: Holly <hc@interleaf.ie>
> Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Thx Holly and Katrin
Comment 10 Martin Renvoize 2020-02-17 10:45:51 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-03-05 01:22:23 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 12 Lucas Gass 2020-03-09 20:33:56 UTC
backported to 19.05.x for 19.05.09